package com.hxy.study.util;


import org.apache.commons.httpclient.Cookie;
import org.apache.commons.httpclient.HttpMethod;

import java.io.IOException;

public interface HttpCallback {

    /**
     * callback when get response. if you need headers, httpMethod.getResponseHeaders()
     *
     * @param httpMethod
     * @param cookies
     * @throws IOException
     * @see HttpClientHelper
     */
    void callback(int httpstatus, HttpMethod httpMethod, Cookie[] cookies) throws IOException;
}
